GET api/particlecounterapi/particlecountersbycustomer/{customerId}?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| customerId | globally unique identifier |
Required |
|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of ParticleCounterViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| anatype_id | globally unique identifier |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| description | string |
None. |
|
| id | globally unique identifier |
None. |
|
| ip_address | string |
Required |
|
| particle_counter_type_id | globally unique identifier |
Required |
|
| site_id | globally unique identifier |
Required |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"anatype_id": "9ef0813a-39e7-473c-aa8f-bfff57bb3d2e",
"cleanroom_id": "c8ff0e33-8f1d-45ab-898e-4ff7f7b9971a",
"description": "sample string 3",
"id": "3588c7b1-df37-46f0-8881-86448e6468e7",
"ip_address": "sample string 5",
"particle_counter_type_id": "89aaef7c-e7bc-43c8-ac00-1c367392242f",
"site_id": "0bd55c52-dc48-4cbe-ab7f-aad1c9444f34"
},
{
"active": true,
"anatype_id": "9ef0813a-39e7-473c-aa8f-bfff57bb3d2e",
"cleanroom_id": "c8ff0e33-8f1d-45ab-898e-4ff7f7b9971a",
"description": "sample string 3",
"id": "3588c7b1-df37-46f0-8881-86448e6468e7",
"ip_address": "sample string 5",
"particle_counter_type_id": "89aaef7c-e7bc-43c8-ac00-1c367392242f",
"site_id": "0bd55c52-dc48-4cbe-ab7f-aad1c9444f34"
}
]
application/xml, text/xml
Sample:
<ArrayOfparticle_counter xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<particle_counter>
<active>true</active>
<anatype_id>9ef0813a-39e7-473c-aa8f-bfff57bb3d2e</anatype_id>
<cleanroom_id>c8ff0e33-8f1d-45ab-898e-4ff7f7b9971a</cleanroom_id>
<description>sample string 3</description>
<id>3588c7b1-df37-46f0-8881-86448e6468e7</id>
<ip_address>sample string 5</ip_address>
<particle_counter_type_id>89aaef7c-e7bc-43c8-ac00-1c367392242f</particle_counter_type_id>
<site_id>0bd55c52-dc48-4cbe-ab7f-aad1c9444f34</site_id>
</particle_counter>
<particle_counter>
<active>true</active>
<anatype_id>9ef0813a-39e7-473c-aa8f-bfff57bb3d2e</anatype_id>
<cleanroom_id>c8ff0e33-8f1d-45ab-898e-4ff7f7b9971a</cleanroom_id>
<description>sample string 3</description>
<id>3588c7b1-df37-46f0-8881-86448e6468e7</id>
<ip_address>sample string 5</ip_address>
<particle_counter_type_id>89aaef7c-e7bc-43c8-ac00-1c367392242f</particle_counter_type_id>
<site_id>0bd55c52-dc48-4cbe-ab7f-aad1c9444f34</site_id>
</particle_counter>
</ArrayOfparticle_counter>